Subject: Re: bash-shell output
From: [email-masked] (Fergus Henderson)

4 Feb 1998 23:57:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Andrew Innes <[email-masked]>
Cc: [email-masked], [email-masked]

On 04-Feb-1998, Andrew Innes <[email-masked]> wrote:
> On 04 Feb 1998 17:07:50 -0800, Nils Goesche <[email-masked]> said:
> >You have to uncomment that fflush-line. But the usual shells
> >like command.com or 4nt don't need that line. This is somewhat
> >annoying. Can I at least force the shell somehow to flush
> >input/output buffers? Some other programs are just unusable 
> >because of this behavior.
> 
> This is a consequence of the design of Windows (well, that combined with
> the behaviour of the Microsoft C runtime library).
> 
> Most DOS/Windows compilers make stdout unbuffered if isatty() returns
> true, and isatty() in turn calls GetFileType on the OS file handle - if
> the handle is a console handle, then isatty returns true.
> 
> Emacs has to redirect stdin and stdout/stderr for subprocesses through
> pipes so it can communicate with them, but cannot hide the fact that
> the handles are pipe handles.

Does that mean that
	- a proper pseudo-tty implementation (one for which isatty() would
	  return true) is not possible on Windows?
	- a proper pseudo-tty implementation is possible, but cygwin32
	  doesn't have one yet?
	- a proper pseudo-tty implementation is possible, and cygwin32
	  has one, but emacs doesn't use it?

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".